Bulk merge from repo:ci-managment

Change-Id: I7b733b43699b47deaaec2fe433987619b6928158
diff --git a/bin/setup.sh b/bin/setup.sh
new file mode 100755
index 0000000..fbb8b99
--- /dev/null
+++ b/bin/setup.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -euo pipefail
+
+mkdir -p makefiles
+pushd makefiles || { echo "ERROR: pushd makefiles failed"; exit 1; }
+
+git submodule add 'https://github.com/opencord/onf-make.git' onf-lib
+
+echo 'onf-lib' >> .gitignore
+git add .gitignore
+
+cp ../makefiles_include_mk.ex include.mk
+
+mkdir -p local
+touch local/include.mk
+git add include.mk
+
+popd || { echo "ERROR: popd makefiles failed"; exit 1; }
+
+# [EOF]